"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseNodeEditionSpecifier = void 0;
function parseNodeEditionSpecifier(specifier) {
    if (specifier.includes('/')) {
        const [releaseDir, versionSpecifier] = specifier.split('/');
        return { releaseDir, versionSpecifier };
    }
    const prereleaseMatch = specifier.match(/-(nightly|rc|test|v8-canary)/);
    if (prereleaseMatch != null) {
        return { releaseDir: prereleaseMatch[1], versionSpecifier: specifier };
    }
    if (['nightly', 'rc', 'test', 'release', 'v8-canary'].includes(specifier)) {
        return { releaseDir: specifier, versionSpecifier: 'latest' };
    }
    return { releaseDir: 'release', versionSpecifier: specifier };
}
exports.parseNodeEditionSpecifier = parseNodeEditionSpecifier;
//# sourceMappingURL=parseNodeEditionSpecifier.js.map